---
title: Gets the language branch definition with the provided name.
slug: cms-12/api/gets-the-language-branch-definition-with-the-provided-name
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "paBbkxCizQfRhRcEfl8lN",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/languagebranches/{name}",
    "servers": [],
    "name": "Gets the language branch definition with the provided name.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "name",
          "type": "string",
          "description": "The identifier of the language."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Success",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Defines a language branch definition.",
            "customType": "languageBranch",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "The name of the language."
              },
              {
                "name": "displayName",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The display name of the language branch.",
                "maxLength": 255
              },
              {
                "name": "urlSegment",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "<p>The URL segment used during routing that is tied to the language branch. If not set, name is used.</p>",
                "maxLength": 255
              },
              {
                "name": "sortOrder",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "The sort order relative to other branches when listing branches.",
                "format": "int32"
              },
              {
                "name": "enabled",
                "kind": "optional",
                "type": "boolean",
                "description": "Indicates if the language branch is enabled."
              }
            ],
            "modelRef": "#/components/schemas/languageBranch",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "kxKmzBwwbFIAn5KNwvedp",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/languagebranches/{name} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ggtfXrueQl0qsXGFo69zR",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/languagebranches/{name}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "mEG8F66hWJmKppMds9nkr",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/languagebranches/{name}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "C3UggZiVPZ5BP2E8qqk2h",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/languagebranches/{name}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "kxKmzBwwbFIAn5KNwvedp"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Success\n{\n  \"name\": \"\",\n  \"displayName\": \"\",\n  \"urlSegment\": \"\",\n  \"sortOrder\": \"\",\n  \"enabled\": false\n}"
        },
        {
          "id": "response-1-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}